## org.firebirdsql.gds
Interface EventHandle

All Known Implementing Classes:
  EventHandleImp, EventHandleImp

    public interface EventHandle

Handle to internal event-handling structures.

Method Summary
`int` `getEventCount()` Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.
`int` `getEventId()` Get the internal event id number for this handle
`String` `getEventName()` Get the name of the event for which this handle is set to listen for

Method Detail

### getEventName

    String getEventName()

  Get the name of the event for which this handle is set to listen for

  Returns:
    The name of the event

### getEventCount

    int getEventCount()

  Get the count of event occurences for the most recent occurrence(s) of the event for which this handle is registered.

  Returns:
    The event count

### getEventId

    int getEventId()

  Get the internal event id number for this handle

  Returns:
    The internal event id

Copyright © 2001-2010. All Rights Reserved.